<app-loading *ngIf="isLoading"></app-loading>
<div *ngIf="!isLoading">
	<div>
		<button class="btn white" (click)="showAddBox()">
			<i class="fas fa-plus"></i>ایجاد جایزه جدید
		</button>
	</div>
	<div *ngIf="showBox">
	    <div class="card">
	      <form (ngSubmit)="addItem()">
			<div>
		      	هر
		      	<input type="number" name="price" id="point-price" placeholder="مثال: ۵">
		      	امتیاز، یک 
		      	<input type="tel" name="point" placeholder="مثال: نسکافه رایگان">
		    </div>
	      	<div center>
	      		<button type="submit">ارسال</button>
	      	</div>
	      </form>
	    </div>		
	</div>
    <div class="card with-header">
      <div class="header orange">
        <h4>جوایز</h4>
        <span>لیست جوایز ثبت شده</span>
      </div>
      <div>
      	<table>
	        <thead color="orange">
	          <th>شماره</th>
	          <th>عنوان</th>
	          <th>امتیاز مورد نیاز</th>
	          <th>تعداد خریداری شده</th>
	        </thead>
	        <tbody>
	          <tr *ngFor="let reward of rewards; let i = index ">
	            <td>{{i+1}}</td>          
	            <td>{{reward.desc}}</td>          
	            <td>{{reward.point}}</td>          
	            <td>{{reward.used_count}}</td>              
	          </tr>         
	        </tbody>
	      </table>        
      </div>
  </div>
</div>
